%% Bakalářská práce - Simulace výměníkové stanice
% Vypracoval: Michal Černík
% ID: 211138
close all
clear
clc
clearvars

b=0.45; %účinnost výměníku
T=500; %časová konstanta
T0=30; %počáteční teplota v potrubích
k=1; %zesílení regulátoru
%% Načtení naměřených dat ze souboru
Measured_Data = readmatrix('trace_2022_07_20.csv');
time=Measured_Data(:,1);
temperature0=Measured_Data(:,3);
temperature1_old=Measured_Data(:,4);
temperature2=Measured_Data(:,5);
temperature3=Measured_Data(:,6);
valve1=Measured_Data(:,7);
valve2=Measured_Data(:,8);

temperature1 = smoothdata(temperature1_old,'gaussian',200);
%% Vynesení do grafů



%figure
%subplot(2,1,1);
plot(time,temperature0,time,temperature1,time,temperature2,time,temperature3,time,valve1,time,valve2);
title('Graf závislosti teploty na čase - naměřený průběh');
xlabel('t [sec]');
ylabel('T [C]');
axis([0 8500 0 80])
legend('T1.0','T2.0','T2.1','T1.1','V1','V2')
grid on

figure
%subplot(2,1,2);
out = sim('vymenik_simulace');
plot(out.simout);
title('Graf závislosti teploty na čase - simulace');
xlabel('t [sec]');
ylabel('T [C]');
legend('Teplota V1','T1.0','T1.1','T2.0','T2.1','ventil V1')
grid on











